<template>
  <div class="tabs-con">
    <div class="easy-tab-pare">
      <ul class="easy-menu">
        <li v-for="(items,index) in tabArray" :class="{cur:items.isOn}"  @click="selected(index)">
          <span class="tName-txt">
              {{items.tNames}}
          </span>
        </li>
      </ul>
    </div>
  </div>
</template>

<script>
  export default {
    name: 'tab',
    props:{
      tabArray:{
          type:Array
      }

    },
    data () {
      return {

      }
    },
    created(){

    },
    mounted(){


    },
    methods:{
      selected(i){
          this.$emit("clickSelect",i)
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

.easy-menu{
  display: -webkit-box;
  width:100%;
  height:2rem;
  line-height:2rem;
  list-style: none;
  border-bottom:#d1d1d1 1px solid;
  font-size:.64rem;
}
  .easy-menu li{
   -webkit-box-flex:1;
    font-size:.48rem;
    text-align:center;
    color:#666;
  }
  .tName-txt{
    display: block;
    width:auto;
    margin:0 auto;
  }
.easy-menu li.cur .tName-txt{
   border-bottom:#FF7A00 2px solid;
  color:#FF7A00;
}
</style>
